* [gentoo-commits] proj/sci:master commit in: sci-biology/ICC/
@ 2015-01-07 21:32 Martin Mokrejs
0 siblings, 0 replies; 3+ messages in thread
From: Martin Mokrejs @ 2015-01-07 21:32 UTC (permalink / raw
To: gentoo-commits
commit: 7286213decca43e6185a611dc357a71557fd84c9
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Wed Jan 7 20:39:33 2015 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Wed Jan 7 20:39:33 2015 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=7286213d
sci-biology/ICC: initial ebuild, perl installation steps need to be fixed
---
sci-biology/ICC/ChangeLog | 9 ++++++
sci-biology/ICC/ICC-2.0.1.ebuild | 61 ++++++++++++++++++++++++++++++++++++++++
sci-biology/ICC/metadata.xml | 9 ++++++
3 files changed, 79 insertions(+)
diff --git a/sci-biology/ICC/ChangeLog b/sci-biology/ICC/ChangeLog
new file mode 100644
index 0000000..cd415fd
--- /dev/null
+++ b/sci-biology/ICC/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-biology/ICC
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*ICC-2.0.1 (07 Jan 2015)
+
+ 07 Jan 2015; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz> +ICC-2.0.1.ebuild:
+ initial ebuild, perl installation steps need to be fixed
+
diff --git a/sci-biology/ICC/ICC-2.0.1.ebuild b/sci-biology/ICC/ICC-2.0.1.ebuild
new file mode 100644
index 0000000..5e5fb5c
--- /dev/null
+++ b/sci-biology/ICC/ICC-2.0.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit perl-module
+
+DESCRIPTION="Error corrector for Roche/454 and IonTorrent data with indel and carryforward, SNP and haplotype calling"
+HOMEPAGE="http://indra.mullins.microbiol.washington.edu/ICC"
+SRC_URI="http://indra.mullins.microbiol.washington.edu/cgi-bin/ICC/info.cgi?ID=ICC_v2.0.1.zip -> ICC_v2.0.1.zip"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="dev-lang/perl
+ sci-biology/ncbi-tools++"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"
+
+src_install(){
+ dobin Scripts/*.pl
+ dodoc README.txt
+
+ # BUG: does not work
+ cd Scripts/lib || die
+ perl-module_src_install DESTDIR="${D}" *.pm Parallel/ForkManager.pm # install into @INC path
+
+}
+
+# testing: Blast/Linux/LICENSE OK
+# testing: Example/exampleReads.fas OK
+# testing: Example/exampleReads.qual OK
+# testing: Example/exampleReference.fas OK
+# testing: README.md OK
+# testing: README.txt OK
+# testing: Scripts/ OK
+# testing: Scripts/CC.pl OK
+# testing: Scripts/HIC.pl OK
+# testing: Scripts/IC.pl OK
+# testing: Scripts/alignRegion.pl OK
+# testing: Scripts/config.pl OK
+# testing: Scripts/lib/ OK
+# testing: Scripts/lib/.DS_Store OK
+# testing: Scripts/lib/Parallel/ OK
+# testing: Scripts/lib/Parallel/ForkManager.pm OK
+# testing: Scripts/lib/paths.pm OK
+# testing: Scripts/lib/seqAlign.pm OK
+# testing: Scripts/lib/utils.pm OK
+# testing: Scripts/ntFreq.pl OK
+# testing: Scripts/readQualFilter.pl OK
+# testing: Scripts/retrieveRegion.pl OK
+# testing: Scripts/retrieveWindows.pl OK
+# testing: Scripts/runBLAST.pl OK
+# testing: Scripts/runICC.pl OK
+# testing: Scripts/uniqueReads.pl OK
+# testing: VersionHistory.txt OK
+
diff --git a/sci-biology/ICC/metadata.xml b/sci-biology/ICC/metadata.xml
new file mode 100644
index 0000000..2bc8930
--- /dev/null
+++ b/sci-biology/ICC/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <maintainer>
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-biology/ICC/
@ 2015-01-08 22:55 Martin Mokrejs
0 siblings, 0 replies; 3+ messages in thread
From: Martin Mokrejs @ 2015-01-08 22:55 UTC (permalink / raw
To: gentoo-commits
commit: 63c8ef5b6d87be51ae5a735c15489dfbdc8bdcf9
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Thu Jan 8 22:54:21 2015 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Thu Jan 8 22:54:21 2015 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=63c8ef5b
sci-biology/ICC: actually ignore the bundled Parallel module and install it from portage
---
sci-biology/ICC/ICC-2.0.1.ebuild | 8 +-------
1 file changed, 1 insertion(+), 7 deletions(-)
diff --git a/sci-biology/ICC/ICC-2.0.1.ebuild b/sci-biology/ICC/ICC-2.0.1.ebuild
index 5e5fb5c..fe41383 100644
--- a/sci-biology/ICC/ICC-2.0.1.ebuild
+++ b/sci-biology/ICC/ICC-2.0.1.ebuild
@@ -4,8 +4,6 @@
EAPI=5
-inherit perl-module
-
DESCRIPTION="Error corrector for Roche/454 and IonTorrent data with indel and carryforward, SNP and haplotype calling"
HOMEPAGE="http://indra.mullins.microbiol.washington.edu/ICC"
SRC_URI="http://indra.mullins.microbiol.washington.edu/cgi-bin/ICC/info.cgi?ID=ICC_v2.0.1.zip -> ICC_v2.0.1.zip"
@@ -16,6 +14,7 @@ KEYWORDS=""
IUSE=""
DEPEND="dev-lang/perl
+ dev-perl/Parallel-ForkManager
sci-biology/ncbi-tools++"
RDEPEND="${DEPEND}"
@@ -24,11 +23,6 @@ S="${WORKDIR}"
src_install(){
dobin Scripts/*.pl
dodoc README.txt
-
- # BUG: does not work
- cd Scripts/lib || die
- perl-module_src_install DESTDIR="${D}" *.pm Parallel/ForkManager.pm # install into @INC path
-
}
# testing: Blast/Linux/LICENSE OK
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-biology/ICC/
@ 2015-01-10 14:07 Justin Lecher
0 siblings, 0 replies; 3+ messages in thread
From: Justin Lecher @ 2015-01-10 14:07 UTC (permalink / raw
To: gentoo-commits
commit: faf30b314304a3f330119143956ddc3fab42e2f6
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 10 14:02:56 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Jan 10 14:02:56 2015 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=faf30b31
sci-biology/ICC: Fix license
Package-Manager: portage-2.2.15
---
sci-biology/ICC/ChangeLog | 3 +++
sci-biology/ICC/ICC-2.0.1.ebuild | 8 ++++----
2 files changed, 7 insertions(+), 4 deletions(-)
diff --git a/sci-biology/ICC/ChangeLog b/sci-biology/ICC/ChangeLog
index cd415fd..d3b0837 100644
--- a/sci-biology/ICC/ChangeLog
+++ b/sci-biology/ICC/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 10 Jan 2015; Justin Lecher <jlec@gentoo.org> ICC-2.0.1.ebuild:
+ Fix license
+
*ICC-2.0.1 (07 Jan 2015)
07 Jan 2015; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz> +ICC-2.0.1.ebuild:
diff --git a/sci-biology/ICC/ICC-2.0.1.ebuild b/sci-biology/ICC/ICC-2.0.1.ebuild
index fe41383..672096b 100644
--- a/sci-biology/ICC/ICC-2.0.1.ebuild
+++ b/sci-biology/ICC/ICC-2.0.1.ebuild
@@ -4,16 +4,17 @@
EAPI=5
-DESCRIPTION="Error corrector for Roche/454 and IonTorrent data with indel and carryforward, SNP and haplotype calling"
+DESCRIPTION="Error corrector for Roche/454 and IonTorrent data"
HOMEPAGE="http://indra.mullins.microbiol.washington.edu/ICC"
SRC_URI="http://indra.mullins.microbiol.washington.edu/cgi-bin/ICC/info.cgi?ID=ICC_v2.0.1.zip -> ICC_v2.0.1.zip"
-LICENSE=""
+LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS=""
IUSE=""
-DEPEND="dev-lang/perl
+DEPEND="
+ dev-lang/perl
dev-perl/Parallel-ForkManager
sci-biology/ncbi-tools++"
RDEPEND="${DEPEND}"
@@ -52,4 +53,3 @@ src_install(){
# testing: Scripts/runICC.pl OK
# testing: Scripts/uniqueReads.pl OK
# testing: VersionHistory.txt OK
-
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2015-01-10 14:08 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-01-08 22:55 [gentoo-commits] proj/sci:master commit in: sci-biology/ICC/ Martin Mokrejs
-- strict thread matches above, loose matches on Subject: below --
2015-01-10 14:07 Justin Lecher
2015-01-07 21:32 Martin Mokrejs
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox